#ifndef _mexmem_h_
#define _mexmem_h_

/* Replace standard C memory allocation routines with ones provided by Matlab's
 * memory manager. This is much easier than carefully writing a garbage
 * collection routine for if the user presses Ctrl-C. If I don't do this then
 * running this routine and interrupting with Ctrl-C leaks memory. I just added
 * this header to the top of all the .c files and it seems to work. */
#define malloc mxMalloc
#define realloc mxRealloc
#define free mxFree


#endif /* #ifndef _mexmem_h_ */
